imports:
    - { resource: ./../config/framework.yml }

framework:
    http_method_override: false
    serializer: ~

security:
    enable_authenticator_manager: true
    password_hashers:
        Symfony\Component\Security\Core\User\InMemoryUser: plaintext

    providers:
        in_memory:
            memory:
                users:
                    dunglas: { password: foo, roles: [ROLE_USER] }

    firewalls:
        main:
            pattern: ^/
            json_login:
               check_path:    /chk
               username_path: user.login
               password_path: user.password

    access_control:
        - { path: ^/foo, roles: ROLE_USER }
